#pragma once
#include "afxwin.h"


// CConnectDlg 대화 상자입니다.

class CConnectDlg : public CDialog
{
	DECLARE_DYNAMIC(CConnectDlg)

public:
	CConnectDlg(CWnd* pParent = NULL);   // 표준 생성자입니다.
	virtual ~CConnectDlg();

// 대화 상자 데이터입니다.
	enum { IDD = IDD_CONNECT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.

public:
	CStatic m_stcLogo;
	CString m_sUserId;
	CString m_sPassword;
	BOOL m_bAutoConnect;
	BOOL m_bSavePassword;
	CButton m_chkAutoConnect;
	CButton m_chkSavePassword;

	UINT m_nTimer;

protected:
	virtual BOOL OnInitDialog();
	virtual void OnOK();

public:
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnChkAutoconnect();
	afx_msg void OnBtnProxy();

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedOk();
};
